/**
 * templateOptionsByDesiginSystemPrefix.
 * @remarks
 * The template options by design system prefix.
 * @public
 */
export const templateOptionsByDesiginSystemPrefix = {
    zero: {
        icon: 'zero-icon',
        button: 'zero-button',
        connectionIndicator: 'zero-connection-indicator',
        select: 'zero-select',
        option: 'zero-option',
        flyout: 'zero-flyout',
        provider: 'zero-design-system-provider',
    },
    rapid: {
        icon: 'rapid-icon',
        button: 'rapid-button',
        connectionIndicator: 'rapid-connection-indicator',
        select: 'rapid-select',
        option: 'rapid-option',
        flyout: 'rapid-flyout',
        provider: 'rapid-design-system-provider',
    },
};
/**
 * defaultTemplateOptions.
 * @remarks
 * The default template options this MF has been created with.
 *
 * @deprecated - Use `rapidTemplateOptions` instead.
 *
 * @public
 */
export const defaultTemplateOptions = templateOptionsByDesiginSystemPrefix.zero;
/**
 * rapidTemplateOptions.
 * @remarks
 * The template options for the rapid design system.
 * @public
 */
export const rapidTemplateOptions = templateOptionsByDesiginSystemPrefix.rapid;
